<div class="plc user">
    <div class="plc-menu">
        作业参数值设定
    </div>
    <div class="plc-content flex-center">
        <div class="row andon-content-block">
            <div class="col-sm-12 andon-content-mini-left">
                <div class="search-group-input-btn">
                    <!--one-line-btns search-long-half-->
                    <div class="col-sm-9 col-xs-9">
                        <div class="nbox-group-input andon-input-wrapper"
                             ng-class="{'focus':(focusInput)}">
                            <input ng-init="focusInput=false"
                                   ng-focus="focusInput=true"
                                   ng-blur="focusInput=false"
                                   type="text"
                                   ng-model="workParamDesignConfig.searchWorkParamDesign"
                                   placeholder="点击搜索图标可查询作业"
                                   class="form-control ad-left-child"
                                   ng-class="{'work-placeholder':workParamDesignConfig.isNoValue}"
                                   ng-keyup="enterKeyWorkParamDesign($event)">
                            <i class="fa fa-search ad-right-child focus"
                               ng-click="modalSearchResultWorkParamDesign()"></i>
                        </div>
                    </div>
                    <!--one-line-btns-->
                    <div class="col-sm-1">
                        <button type="button" class="btn btn btn-primary"
                                ng-click="queryWorkParamDesign()">
                            查询</button></div>
                    <!--one-line-btns-->
                    <!-- -->
                    <div class="col-sm-1" ng-if="config.editRw">
                        <button type="button" class="btn btn-primary"
                                ng-click="addWorkGroup()"
                                >
                            新建</button>
                    </div>
                    <div class="col-sm-1" >
                        <button type="button" class="btn btn btn-primary"
                                ng-disabled="workParamDesignConfig.workParamDesignBtnDisEdit"
                                ng-click="workParamDesignEdit()"
                                ng-if="workParamDesignConfig.editRw">
                            编辑</button></div>
                    <div class="col-sm-1" >
                        <button type="button" class="btn btn btn-primary"
                                ng-class="{'hidden':workParamDesignConfig.workParamDesignBtnHiddenCancel}"
                                ng-click="workParamDesignCancel()">
                            取消</button></div>
                    <div class="col-sm-1">
                        <button type="button" class="btn btn-primary"
                                ng-class="{'hidden':workParamDesignConfig.workParamDesignBtnHiddenSave}"
                                placeholder=""
                                ng-click="workParamDesignSave()">保存</button>
                    </div>
                </div>
            </div>
            <div class="col-sm-12 work-param-design">
                <div ng-switch="workParamDesignConfig.workParamDesignMessage">
                    <div ng-switch-when="NA">
                        <div class="flex-center no-such-activity">
                            <p ng-if="workParamDesignConfig.hasActivity">作业未配置参数</p>
                            <p ng-if="!workParamDesignConfig.hasActivity">无此作业</p>
                        </div>

                    </div>
                    <div ng-switch-default>
                        <div class="form-horizontal">
                            <div class="form-group andon-content-justify">
                                <label class="um-col-0-1  um-control-label text-right">描述</label>
                                <div class="col-sm-11 col-xs-11 andon-content-many">
                                    <textarea type="text" class="form-control "
                                              id="description" placeholder="" rows="1"
                                              ng-disabled="true"
                                              ng-model="workParamDesignConfig.activityDesc">

                                    </textarea>
                                </div>
                            </div>
                        </div>

                        <div ui-grid="gridWorkParamDesign" class="myMiddleGrid"
                             ui-grid-edit  ui-grid-cellnav ui-grid-selection
                             ui-grid-resize-columns ui-grid-auto-resize></div>

                    </div>
                </div>
            </div>




            </div>
        </div>
    </div>
</div>